curl
curl -X POST "https://sandbox-api.sannos.ai/v1/onboard" \
-H "X-API-Key: $EVE_PARTNER_KEY" \
-H "Content-Type: application/json" \
-d '{"address":"string","city":"string","country":"string","legalName":"string","name":"string","pageCap":0,"phone":"string","postalCode":"string","taxId":"string"}'const res = await fetch("https://sandbox-api.sannos.ai/v1/onboard", {
method: "POST",
headers: { "X-API-Key": process.env.EVE_PARTNER_KEY, "Content-Type": "application/json" },
body: JSON.stringify({
"address": "string",
"city": "string",
"country": "string",
"legalName": "string",
"name": "string",
"pageCap": 0,
"phone": "string",
"postalCode": "string",
"taxId": "string"
}),
});
const data = await res.json();import os, requests
res = requests.post(
"https://sandbox-api.sannos.ai/v1/onboard",
headers={"X-API-Key": os.environ["EVE_PARTNER_KEY"]},
json={
"address": "string",
"city": "string",
"country": "string",
"legalName": "string",
"name": "string",
"pageCap": 0,
"phone": "string",
"postalCode": "string",
"taxId": "string"
},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v1/onboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => '<string>',
'city' => '<string>',
'country' => '<string>',
'legalName' => '<string>',
'name' => '<string>',
'pageCap' => 123,
'phone' => '<string>',
'postalCode' => '<string>',
'taxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v1/onboard"
payload := strings.NewReader("{\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"legalName\": \"<string>\",\n \"name\": \"<string>\",\n \"pageCap\": 123,\n \"phone\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"taxId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox-api.sannos.ai/v1/onboard")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"legalName\": \"<string>\",\n \"name\": \"<string>\",\n \"pageCap\": 123,\n \"phone\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"taxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v1/onboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"legalName\": \"<string>\",\n \"name\": \"<string>\",\n \"pageCap\": 123,\n \"phone\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"taxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"businessEntityId": "<string>",
"companyApiKey": "<string>",
"companyId": "<string>",
"message": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Onboarding
Onboard a new company under your partner account.
deprecated
Onboard a new company under your partner account.
POST
/
v1
/
onboard
curl
curl -X POST "https://sandbox-api.sannos.ai/v1/onboard" \
-H "X-API-Key: $EVE_PARTNER_KEY" \
-H "Content-Type: application/json" \
-d '{"address":"string","city":"string","country":"string","legalName":"string","name":"string","pageCap":0,"phone":"string","postalCode":"string","taxId":"string"}'const res = await fetch("https://sandbox-api.sannos.ai/v1/onboard", {
method: "POST",
headers: { "X-API-Key": process.env.EVE_PARTNER_KEY, "Content-Type": "application/json" },
body: JSON.stringify({
"address": "string",
"city": "string",
"country": "string",
"legalName": "string",
"name": "string",
"pageCap": 0,
"phone": "string",
"postalCode": "string",
"taxId": "string"
}),
});
const data = await res.json();import os, requests
res = requests.post(
"https://sandbox-api.sannos.ai/v1/onboard",
headers={"X-API-Key": os.environ["EVE_PARTNER_KEY"]},
json={
"address": "string",
"city": "string",
"country": "string",
"legalName": "string",
"name": "string",
"pageCap": 0,
"phone": "string",
"postalCode": "string",
"taxId": "string"
},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v1/onboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => '<string>',
'city' => '<string>',
'country' => '<string>',
'legalName' => '<string>',
'name' => '<string>',
'pageCap' => 123,
'phone' => '<string>',
'postalCode' => '<string>',
'taxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v1/onboard"
payload := strings.NewReader("{\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"legalName\": \"<string>\",\n \"name\": \"<string>\",\n \"pageCap\": 123,\n \"phone\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"taxId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox-api.sannos.ai/v1/onboard")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"legalName\": \"<string>\",\n \"name\": \"<string>\",\n \"pageCap\": 123,\n \"phone\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"taxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v1/onboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"country\": \"<string>\",\n \"legalName\": \"<string>\",\n \"name\": \"<string>\",\n \"pageCap\": 123,\n \"phone\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"taxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"businessEntityId": "<string>",
"companyApiKey": "<string>",
"companyId": "<string>",
"message": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json